import { get_api_measurements, get_api_labs } from '$lib/backend.js';

const time_min = new Date(1700, 0, 1);

/** @type {import('./$types').PageLoad} */
export async function load({ params, fetch, parent }) {
	const mrn = params.mrn, offset = 30;
	const parentdata = await parent();
	const measurements = await get_api_measurements({ fetch, mrn, alpha: 'T-' + offset, omega: 'N' });
	const labs = await get_api_labs({ fetch, mrn, alpha: 'T-' + offset, omega: 'N' });
	return {
		mrn, offset, facesheet_data: parentdata.facesheet_data, measurements, labs
	};
}
